libcgi-application-plugin-authorization-perl_0.07-2_all.deb


Advertisement

Description

libcgi-application-plugin-authorization-perl - authorization framework for CGI::Application

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libcgi-application-plugin-authorization-perl
Package version 0.07
Package release 2
Package architecture all
Package type deb
Installed size 184 B
Download size 48.72 KB
Official Mirror ftp.br.debian.org
CGI::Application::Plugin::Authorization adds the ability to authorize users
for specific tasks. Once a user has been authenticated and you know who you
are dealing with, you can then use this plugin to control what that user has
access to. It imports two methods (authz and authorization) into your
CGI::Application module.  Both of these methods are interchangeable, so you
should choose one and use it consistently throughout your code.  Through the
authz method you can call all the methods of the
CGI::Application::Plugin::Authorization plugin.
This package also bundles an active directory driver:
- CGI::Application::Plugin::Authorization::Driver::ActiveDirectory

Alternatives

Package Version Architecture Repository
libcgi-application-plugin-authorization-perl_0.07-2_all.deb 0.07 all Debian Main
libcgi-application-plugin-authorization-perl - - -

Requires

Name Value
libcgi-application-basic-plugin-bundle-perl -
libcgi-application-perl -
libclass-isa-perl -
libuniversal-require-perl -
perl -
perl-modules << 5.12

Provides

Name Value
libcgi-application-plugin-authorization-driver-activedirectory-perl -

Replaces

Name Value
libcgi-application-extra-plugin-bundle-perl << 0.3

Download

Type URL
Binary Package libcgi-application-plugin-authorization-perl_0.07-2_all.deb
Source Package libcgi-application-plugin-authorization-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcgi-application-plugin-authorization-perl deb package:
    # sudo apt-get install libcgi-application-plugin-authorization-perl

Files

Path
/usr/share/doc/libcgi-application-plugin-authorization-perl/changelog.Debian.gz
/usr/share/doc/libcgi-application-plugin-authorization-perl/changelog.gz
/usr/share/doc/libcgi-application-plugin-authorization-perl/copyright
/usr/share/doc/libcgi-application-plugin-authorization-perl/driver-ad/Changes
/usr/share/man/man3/CGI::Application::Plugin::Authorization.3pm.gz
/usr/share/man/man3/CGI::Application::Plugin::Authorization::Driver.3pm.gz
/usr/share/man/man3/CGI::Application::Plugin::Authorization::Driver::ActiveDirectory.3pm.gz
/usr/share/man/man3/CGI::Application::Plugin::Authorization::Driver::DBI.3pm.gz
/usr/share/man/man3/CGI::Application::Plugin::Authorization::Driver::Dummy.3pm.gz
/usr/share/man/man3/CGI::Application::Plugin::Authorization::Driver::Generic.3pm.gz
/usr/share/man/man3/CGI::Application::Plugin::Authorization::Driver::HTGroup.3pm.gz
/usr/share/man/man3/CGI::Application::Plugin::Authorization::Driver::SimpleGroup.3pm.gz
/usr/share/perl5/CGI/Application/Plugin/Authorization.pm
/usr/share/perl5/CGI/Application/Plugin/Authorization/Driver.pm
/usr/share/perl5/CGI/Application/Plugin/Authorization/Driver/ActiveDirectory.pm
/usr/share/perl5/CGI/Application/Plugin/Authorization/Driver/DBI.pm
/usr/share/perl5/CGI/Application/Plugin/Authorization/Driver/Dummy.pm
/usr/share/perl5/CGI/Application/Plugin/Authorization/Driver/Generic.pm
/usr/share/perl5/CGI/Application/Plugin/Authorization/Driver/HTGroup.pm
/usr/share/perl5/CGI/Application/Plugin/Authorization/Driver/SimpleGroup.pm

Changelog

2011-05-02 - Nicholas Bamber <nicholas@periapt.co.uk>
libcgi-application-plugin-authorization-perl (0.07-2) unstable; urgency=low
[ Nicholas Bamber ]
* Renamed active directory component (Closes: #620833)
* Raised standards version to 3.9.2
[ gregor herrmann ]
* Switch order of alternative (build) dependencies after the perl 5.12
upload.
2010-12-21 - Nicholas Bamber <nicholas@periapt.co.uk>
libcgi-application-plugin-authorization-perl (0.07-1) unstable; urgency=low
* Initial Release. (Closes: #606508)

See Also

Package Description
libcgi-application-plugin-autorunmode-perl_0.18-1_all.deb CGI::App plugin to automatically register runmodes
libcgi-application-plugin-captcha-perl_0.04-1_all.deb module providing CAPTCHA support in CGI::Application
libcgi-application-plugin-config-simple-perl_1.01-1_all.deb module providing Config::Simple support to CGI::Application
libcgi-application-plugin-configauto-perl_1.33-1_all.deb plugin that adds Config::Auto support to CGI::Application
libcgi-application-plugin-dbh-perl_4.04-1_all.deb plugin adding database support to CGI::Application
libcgi-application-plugin-dbiprofile-perl_0.07-1_all.deb plugin providing database profiling support
libcgi-application-plugin-devpopup-perl_1.07-2_all.deb debugging framework for CGI::Application
libcgi-application-plugin-fillinform-perl_1.15-1_all.deb plugin for CGI::Application to fill in forms
libcgi-application-plugin-formstate-perl_0.12-1_all.deb plugin to store form state without hidden fields
libcgi-application-plugin-forward-perl_1.06-1_all.deb plugin to allow one run mode pass control to another
libcgi-application-plugin-json-perl_1.02-1_all.deb plugin to facilitate manipulation of JSON headers
libcgi-application-plugin-linkintegrity-perl_0.06-1_all.deb plugin to make tamper-resisistent links in CGI::Application
libcgi-application-plugin-logdispatch-perl_1.02-1_all.deb plugin that adds Log::Dispatch support to CGI::Application
libcgi-application-plugin-messagestack-perl_0.34-1_all.deb message passing plugin for CGI::Application
libcgi-application-plugin-protectcsrf-perl_1.01-1_all.deb plugin to generate and verify anti-CSRF challenges
Advertisement
Advertisement